### Method

# Tracker SparqlConnection map_connection

since: 3.3

#### Declaration [src]

    void
    tracker_sparql_connection_map_connection (
      TrackerSparqlConnection* connection,
      const gchar* handle_name,
      TrackerSparqlConnection* service_connection
    )

#### Description [src]

Maps a `TrackerSparqlConnection` onto another through a `private:`handle_name“ URI.

This can be accessed via the SERVICE SPARQL syntax in queries from `connection`. E.g.:

    tracker_sparql_connection_map_connection (connection,
                                              "other-connection",
                                              other_connection);

    SELECT ?u {
      SERVICE <private:other-connection> {
        ?u a rdfs:Resource
      }
    }

This is useful to interrelate data from multiple `TrackerSparqlConnection` instances maintained by the same process, without creating a public endpoint for `service_connection`.

`connection` may only be a `TrackerSparqlConnection` created via `tracker_sparql_connection_new()` and `tracker_sparql_connection_new_async()`.

Available since: 3.3

#### Parameters

`handle_name`

  Type: `const gchar*`

  Handle name for `service_connection`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`service_connection`

  Type: `TrackerSparqlConnection`

  A `TrackerSparqlConnection` to use from `connection`.

  The data is owned by the caller of the method.